!-------------------------------------------------
!interface module of gt2dlib
!-------------------------------------------------
module gt2dlib
  use dcl_common
  contains

    subroutine DclGrid2DCoordinateTransform(ux,uy,cx,cy)
    	real, intent(in) :: ux,uy
    	real, intent(out) :: cx,cy
    	call g2fctr(ux,uy,cx,cy)
    end subroutine
    subroutine DclGrid2DForwardBLI(p,q,z00,z10,z01,z11,z)
  		real,intent(in) :: p,q
		real,intent(out) :: z
    	real,intent(in) :: z00,z10,z01,z11
		call g2fbli(p,q,z00,z10,z01,z11,z)
    end subroutine
    subroutine DclGrid2DForwardBLI2(p,q,x00,x10,x01,x11,y00,y10,y01,y11,x,y)
    	real,	intent(in) :: p,q
		real,	intent(out) ::x,y
   		real,	intent(in) :: x00,x10,x01,x11
    	real,	intent(in) :: y00,y10,y01,y11
		call g2fbl2(p,q,x00,x10,x01,x11,y00,y10,y01,y11,x,y)
   end subroutine
    subroutine DclGrid2DInverseBLI2(x,y,x00,x10,x01,x11,y00,y10,y01,y11,p,q)
     	real,	intent(out) :: p,q
     	real,	intent(in) :: x,y
   		real,	intent(in) :: x00,x10,x01,x11
    	real,	intent(in) :: y00,y10,y01,y11
		call g2ibl2(x,y,x00,x10,x01,x11,y00,y10,y01,y11,p,q)
    end subroutine
    subroutine DclGrid2DSetCoordinateTransform(uxa,uya,cxa,cya)
    	real,dimension(:), intent(in) :: uxa
    	real,dimension(:), intent(in) :: uya
    	real,dimension(:,:),	intent(in) :: cxa,cya
		nx = size(uxa)
		ny = size(uya)
		call g2sctr(nx,ny,uxa,uya,cxa,cya)
   end subroutine
    subroutine DclGrid2DInverseCoordinateTransform(cx,cy,ux,uy)
    	real,	intent(out) :: ux,uy
		real,	intent(in) :: cx,cy
		call g2ictr(cx,cy,ux,uy)
    end subroutine
    subroutine DclGrid2DGetCoordinateTransform(cxmine,cxmaxe,cymine,cymaxe)
		real,	intent(out) :: cxmine,cxmaxe,cymine,cymaxe
		call g2qctm(cxmine,cxmaxe,cymine,cymaxe)
    end subroutine
	subroutine Dclg2qcti(lini)
    	logical,	intent(out) :: lini
		call g2qcti(lini)
    end subroutine

end module

